Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 88112 - missing pcibios_find_device definition in pci.h
Summary: missing pcibios_find_device definition in pci.h
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-05 23:51 UTC by Lee Olsen
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-06-27 21:30:10 UTC


Attachments (Terms of Use)

Description Lee Olsen 2003-04-05 23:51:29 UTC
Description of problem:
There should be a static inline definition of pcibios_find_device
when CONFIG_PCI is not defined.

Version-Release number of selected component (if applicable):
kernel-source-2.4.18-5

How reproducible:
Build and load streams 2.13-8, pcibios_find_device is undefined.

Steps to Reproduce:
1.Configure kernel for no PCI
2.Configure and build streams package LiS-2.13-8.
3.Note modprobe complaint.
    
Actual results:


Expected results:


Additional info:
When CONFIG_PCI is defined, pcibios_find_device is declared right after
pcibios_find_class at line 523. When CONFIG_PCI is not defined,
pcibios_find_class is definedat line 626, but there is no definition for
pcibios_find_device.
Full path of the offending file is:
/usr/src/linux-2.4.18-5/linux/include/pci.h
Finding a non-PCI system to test on may be difficult. Configuring streams
for a kernel other than the running one may show the error or you may
need to resort to using 'nm' on the objects.

Comment 1 Lee Olsen 2003-06-10 01:24:34 UTC
Marking this "CLOSED WONTFIX" is saying Redhat does not support systems that do
not have a PCI bus. That flies in the face of the original Linux p[hilosophy:
"How do I use this obsolete hardware for something other than a door stop?"

Besides, it's a one line fix, which I gave you in the original description.
If I have to fix it again the next time I buy a set of Redhat CD's I'll stop
buying Redhat CDs.

Comment 2 Alan Cox 2003-06-27 21:30:10 UTC
pcibios_ calls are obsolete, software should always be using pci_ calls, or in
special cases should do proper CONFIG_PCI and x86 checking if not



Note You need to log in before you can comment on or make changes to this bug.